--- org/httpd_util.erl	2002-10-02 23:51:04.000000000 +0200
+++ src/httpd_util.erl	2004-01-12 04:15:10.000000000 +0100
@@ -256,7 +256,12 @@ rfc1123_date() ->
   lists:flatten(io_lib:format("~s, ~2.2.0w ~3.s ~4.4.0w ~2.2.0w:~2.2.0w:~2.2.0w GMT",
                         [day(DayNumber),DD,month(MM),YYYY,Hour,Min,Sec])).
 
-rfc1123_date({{YYYY,MM,DD},{Hour,Min,Sec}}) ->
+rfc1123_date(Local_datetime) ->
+  {{YYYY,MM,DD},{Hour,Min,Sec}}= case calendar:local_time_to_universal_time_dst(Local_datetime) of
+				     [Gmt] -> Gmt;
+				     [_,Gmt] -> Gmt;
+				     [] -> Local_datetime
+				 end,
   DayNumber=calendar:day_of_the_week({YYYY,MM,DD}),
   lists:flatten(io_lib:format("~s, ~2.2.0w ~3.s ~4.4.0w ~2.2.0w:~2.2.0w:~2.2.0w GMT",
                         [day(DayNumber),DD,month(MM),YYYY,Hour,Min,Sec])).
